Bug 102013

Summary: Replace unnecessary ArgumentDecoder member functions with decode overloads
Product: WebKit Reporter: Anders Carlsson <andersca>
Component: New BugsAssignee: Anders Carlsson <andersca>
Status: RESOLVED FIXED    
Severity: Normal CC: abecsi, cmarcelo, menard, noam, ossy, sam, webkit-ews, webkit.review.bot, zeno
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch andersca: review+

Description Anders Carlsson 2012-11-12 17:01:47 PST
Replace unnecessary ArgumentDecoder member functions with decode overloads
Comment 1 Anders Carlsson 2012-11-12 17:19:31 PST
Created attachment 173767 [details]
Patch
Comment 2 Early Warning System Bot 2012-11-12 17:32:40 PST
Comment on attachment 173767 [details]
Patch

Attachment 173767 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/14821342
Comment 3 EFL EWS Bot 2012-11-12 17:43:53 PST
Comment on attachment 173767 [details]
Patch

Attachment 173767 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/14803950
Comment 4 Build Bot 2012-11-12 18:11:45 PST
Comment on attachment 173767 [details]
Patch

Attachment 173767 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/14822231
Comment 5 Csaba Osztrogon√°c 2013-01-15 23:18:26 PST
Comment on attachment 173767 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=173767&action=review

> Source/WebKit2/Platform/win/SharedMemoryWin.cpp:101
> +    if (!decoder->decode(32(sourcePID))

I think you meant decode(size)

> Source/WebKit2/Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp:205
> +    if (!decoder->decode(32(size))

ditto

> Source/WebKit2/Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp:283
> +            if (!decoder->decode(32(parametersSize))

ditto

> Source/WebKit2/Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp:299
> +                    if (!decoder->decode(32(arrayParameterSize))

ditto

> Source/WebKit2/Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp:313
> +                    if (!decoder->decode(32(numberParameterSize))

ditto

> Source/WebKit2/Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp:425
> +    if (!decoder->decode(32(operationsSize))

ditto

> Source/WebKit2/Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp:582
> +        if (!decoder->decode(32(numberOfSteps))

ditto

> Source/WebKit2/Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp:666
> +    if (!decoder->decode(32(fillMode))

ditto

> Source/WebKit2/Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp:688
> +    if (!decoder->decode(32(keyframesSize))

ditto
Comment 6 Csaba Osztrogon√°c 2013-01-15 23:19:20 PST
(In reply to comment #5)
> (From update of attachment 173767 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=173767&action=review
> 
> > Source/WebKit2/Platform/win/SharedMemoryWin.cpp:101
> > +    if (!decoder->decode(32(sourcePID))
> 
> I think you meant decode(size)
decode(size) -> decode(*)
Comment 7 Sam Weinig 2013-01-29 18:52:19 PST
Created attachment 185374 [details]
Patch
Comment 8 Sam Weinig 2013-01-29 19:30:50 PST
Committed r141209: <http://trac.webkit.org/changeset/141209>